Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.uddi.client.structures.datatypes
Class AccessPoint

    java.lang.Object
      |
      +--weblogic.uddi.client.structures.datatypes.TextNode
            |
            +--weblogic.uddi.client.structures.datatypes.AccessPoint

public class AccessPoint
extends TextNode

AccessPoint element provides a service entry point.

Version:
  1.0
Author:
  Salman Khan, Jason Ong

Fields inherited from class weblogic.uddi.client.structures.datatypes.TextNode
`value`

Constructor Summary
`AccessPoint()` Class constructor.
`AccessPoint(java.lang.String val, java.lang.String urlType)` Class construstor specifying the initialization values.

Method Summary
`java.lang.String` | `getURLType()` Gets the value of the URL type.
`void` | `setURLType(java.lang.String val)` Sets the value of the URL type.

Methods inherited from class weblogic.uddi.client.structures.datatypes.TextNode
`getValue, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AccessPoint

    public AccessPoint()

  Class constructor.

### AccessPoint

    public AccessPoint(java.lang.String val,
                       java.lang.String urlType)

  Class construstor specifying the initialization values. The URLType can be the following values:mailto, http, https, ftp, fax, phone, other

  Parameters:
    `val` - value of the accesspoint.
    `urlType` - URL type of the access point.

Method Detail

### setURLType

    public void setURLType(java.lang.String val)

  Sets the value of the URL type. The URLType can be one of the following values: mailto, http, https, ftp, fax, phone, other.

  Parameters:
    `val` - the new value of the URL type.

### getURLType

    public java.lang.String getURLType()

  Gets the value of the URL type.

  Returns:
    the current value of the URL type.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference